/* ACCESSIBILTY
---------------------------------------------------------------------------- */

/*
 * CSS-kod för Tillgänglighet placeras i denna fil 
 */

@media screen and (prefers-reduced-motion: reduce) {
   * {
      animation: none !important;
      transition: none !important;
      scroll-behavior: auto !important;
      transform: scale(1) !important;
   }
   html {
      scroll-behavior: auto;
   }
}

/* Visually hidden util
---------------------------------------------------------------------------- */

.vet-visually-hidden,
.vet-visually-hidden-focusable:not(:focus) {
    position: absolute !important;
    width: 1px !important;
    height: 1px !important;
    padding: 0 !important;
    margin: -1px !important;
    overflow: hidden !important;
    clip: rect(0, 0, 0, 0) !important;
    white-space: nowrap !important;
    border: 0 !important;
}

/* Skip links
---------------------------------------------------------------------------- */

.vet-skip-link a {
   display: inline-block;
   box-shadow: 0 1px 8px 0 rgba(12,39,70,0.23);
   transition: .4s all ease;
   /*font-family: var(--vet-font-family-base);*/
   font-size: 1rem;
   font-weight: 600;
   line-height: 1.5;
   text-decoration: none;
   padding: 1rem 1.25rem!important;
   color: #336699;
   text-decoration: underline;
   margin-left: 1.5rem !important
}

.vet-skip-link a.env-assistive-text--focusable:active, 
.vet-skip-link a.env-assistive-text--focusable:focus {
   position: absolute;
   top: 0.25rem;
}

/*
.vet-skip-link a::after {
   content: '';
   display: inline-block;
   height: 1.0rem;
   width: 1.0rem;
   background-image: url('/images/18.76ab5fd51832fa984e48f/1662966393131/arrow-right-light.svg');
   background-position: initial;
   background-size: contain;
   background-repeat: no-repeat;
   margin-left: 0.4rem;
}
*/

.vet-skip-link a.vet-visually-hidden:focus {
   position: fixed !important;
   top: 0.25rem;
   left: 0;
   z-index: 99999999;
   clip: initial !important;
   background-color: #fff;
   /*border: 2px solid #000;*/
   width: auto !important;
   height: auto !important;
}

.vet-skip-link a.vet-visually-hidden:focus {
   left: 1rem;
}

/*
.vet-skip-to-menu a.vet-visually-hidden:focus {
   left: 138px;
}

.vet-skip-to-footer a.vet-visually-hidden:focus {
   left: 268px;
}
*/

/* Clickable Block Link
---------------------------------------------------------------------------- */
